Bug 41031 - Segmentation fault when running on NCR 486-DX4-100
Segmentation fault when running on NCR 486-DX4-100
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-05-16 20:15 EDT by Need Real Name
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-27 04:01:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Corefile of the crash (deleted)
2001-05-29 16:24 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-05-16 20:15:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows NT 5.0)

Description of problem:
All programs using "import rpm" python call, such as up2date* and 
rhn_register* segfault on a 7.1 install on my 486 router - the same 
packages work fine on a PPro-166 with a similar setup.

How reproducible:

Steps to Reproduce:
1. run up2date
2. Segfault
3. Single Stepping the python code revelas segfault after importing 
module "rpm" in rhnreg.py

Actual Results:  unable to run up2date and related programs

Expected Results:  updating the system

Additional info:

if you need the curefile i can send it.
Comment 1 Adrian Likins 2001-05-29 15:45:24 EDT
the core file might be useful if you could attach it.

also, what versions of:


do you have installed? (ie, output of...)
      rpm -q rpm rpm-devel rpm-python up2date
Comment 2 Need Real Name 2001-05-29 16:26:04 EDT
installed versions:


also when trying to attach the corefile to this bug report, i geht the 
following oracle error:

DBD::Oracle::st execute failed: ORA-01691: unable to extend lob segment 
BUGZILLA.SYS_LOB0000003839C00008$$ by 715 in tablespace ENG_DATA02 (DBD ERROR: 
OCILobTrim/OCILobWrite/LOB refetch) 
at /mnt/raid0/bugzilla/bugzilla/createattachment.cgi line 124.
Comment 3 Adrian Likins 2002-03-26 18:03:16 EST
is this still an issue with current versions?
Comment 4 Need Real Name 2002-03-27 04:00:58 EST
same system, after upgrade to redhat 7.2 is working again. So the Bug is gone

Note You need to log in before you can comment on or make changes to this bug.